<settings xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.1.0 http://maven.apache.org/xsd/settings-1.1.0.xsd"
          xmlns="http://maven.apache.org/SETTINGS/1.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

    <servers>
        <server>
            <id>stack-api-gitlab</id>
            <configuration>
                <httpHeaders>
                    <property>
                        <name>Job-Token</name>
                        <value>${CI_JOB_TOKEN}</value>
                    </property>
                </httpHeaders>
            </configuration>
        </server>
        <server>
            <id>registry.hub.docker.com</id>
            <username>${env.DOCKER_HUB_USERNAME}</username>
            <password>${env.DOCKER_HUB_PASSWORD}</password>
        </server>
    </servers>
    <localRepository>${env.CI_PROJECT_DIR}/service/.mvn/repository</localRepository>
</settings>
